Package org.flowable.cmmn.model

# Class PlanItemDefinition

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.PlanItemDefinition

All Implemented Interfaces:
  `HasExtensionAttributes`, `HasLifecycleListeners`

Direct Known Subclasses:
  `EventListener`, `Milestone`, `PlanFragment`, `Task`

public class PlanItemDefinition extends CaseElement implements HasLifecycleListeners

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected PlanItemControl`
  `defaultControl`
  `protected List<FlowableListener>`
  `lifecycleListeners`
  `protected String`
  `planItemRef`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlanItemDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PlanItemControl`
  `getDefaultControl()`
  `List<FlowableListener>`
  `getLifecycleListeners()`
  `String`
  `getPlanItemRef()`
  `void`
  `setDefaultControl(PlanItemControl defaultControl)`
  `void`
  `setLifecycleListeners(List<FlowableListener> lifecycleListeners)`
  `void`
  `setPlanItemRef(String planItemRef)`
  `void`
  `setValues(PlanItemDefinition otherElement)`
  `String`
  `toString()`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### planItemRef

    protected String planItemRef

  - ### defaultControl

    protected PlanItemControl defaultControl

  - ### lifecycleListeners

    protected List<FlowableListener> lifecycleListeners

- ## Constructor Details

  - ### PlanItemDefinition

    public PlanItemDefinition()

- ## Method Details

  - ### getPlanItemRef

    public String getPlanItemRef()

  - ### setPlanItemRef

    public void setPlanItemRef(String planItemRef)

  - ### getDefaultControl

    public PlanItemControl getDefaultControl()

  - ### setDefaultControl

    public void setDefaultControl(PlanItemControl defaultControl)

  - ### getLifecycleListeners

    public List<FlowableListener> getLifecycleListeners()
    Specified by:
      `getLifecycleListeners` in interface `HasLifecycleListeners`

  - ### setLifecycleListeners

    public void setLifecycleListeners(List<FlowableListener> lifecycleListeners)
    Specified by:
      `setLifecycleListeners` in interface `HasLifecycleListeners`

  - ### setValues

    public void setValues(PlanItemDefinition otherElement)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`